
  <ion-toolbar>
    <ion-button  (click)="sign()"class="signbutton"  size="small">SIGN IN</ion-button>
    <ion-button   (click)="signup()"class="signupbutton"size="small">SIGN UP</ion-button>
  </ion-toolbar>

    <ion-content padding>
      <form novalidate (ngSubmit)="registerSubmit()" [formGroup]="register"> 
        <input type="text" value="" formControlName="name" placeholder="Name">
    
       <!-- no-lines *ngIf="( register.get('name').hasError('required') || register.get('name').hasError('name') ) && register.get('name').touched"> -->

          <div class="error" *ngIf="register.get('name').hasError('required') && register.get('name').touched">
           Name is required
          </div>
    
          <div class="error" *ngIf="register.get('name').hasError('name') && register.get('name').touched">
            Please enter valid Name
          </div>
      
    
            <input type="email" value="" formControlName="email" placeholder="Email">          
          
           <!-- no-lines *ngIf="( register.get('email').hasError('required') || register.get('email').hasError('email') ) && register.get('email').touched"> -->

              <div class="error" *ngIf="register.get('email').hasError('required') && register.get('email').touched">
                email is required
              </div>
        
              <div class="error" *ngIf="register.get('password').hasError('password') && register.get('password').touched">
                Please enter valid email
              </div>
            
            
                <input type="password" value="" formControlName="password" placeholder="Password">
              
            <!-- no-lines *ngIf="( register.get('password').hasError('required') || register.get('password').hasError('password') ) && register.get('password').touched"> -->

                  <div class="error" *ngIf="register.get('password').hasError('required') && register.get('password').touched">
                    password is required
                  </div>
            
                  <div class="error" *ngIf="register.get('password').hasError('password') && register.get('password').touched">
                    Please enter valid password
                  </div>
                
      <ion-button type="submit"(click)="cont()"color="warning" expand="block" class="signup" [disabled]="register.invalid">CONTINUE</ion-button>
      </form>
    </ion-content>


